make.cdf.env {makecdfenv} | R Documentation

## CDF Environment Maker

### Description

Reads an Affymetrix chip description file (CDF) and creates an environment used as a hash table for the probe set mapping to location.

### Usage

    make.cdf.env(filename,
                 cdf.path = getwd(),
                 compress = FALSE,
                 return.env.only = TRUE,
                 verbose = TRUE)

### Arguments

`filename` | Character. Filename of the CDF file - without the path prefix!
`cdf.path` | Character. Path to the CDF file.
`compress` | Logical. If `TRUE`, CDF file is compressed.
`return.env.only` | Logical. If `TRUE` (the default), then the function returns an environment. Otherwise, a list with two elements, the first being the environment, and the second being a data structure that contains additional information needed for the package builder (see details, and vignette).
`verbose` | Logical. If `TRUE`, messages are shown.

### Details

Normally, this function should not be called directly. The preferred way to handle CDF information is to use `make.cdf.package` to build a package, and to install it into R. The CDF information can then either be invoked automatically by the package `affy`, or can be loaded manually by calling, for example, `library(hgu133a)`.

Some R installations (typically on Windows) do not offer all the tools that are necessary for package building. In such situations, this function may be called directly. Please see the vignette for details - type:

`openVignette("makecdfenv")`

Return values: `env` is an environment, used as a hash table. For every probe set name we have a matrix with 2 columns. The first column contains the PM locations and the second column the MM locations. For PM only chips the MM column will have NAs.

`syms` is a list that contains chip-specific (i.e., CDF-file specific) information that can be used in the construction of the help files for the CDF package.

### Value

Depending on the argument `return.env.only`, either the environment, or a list with two elements, `env` and `syms`. See details.

### Author(s)

Rafael A. Irizarry, Wolfgang Huber

### See Also

`make.cdf.package`

### Examples

      env <- make.cdf.env("Hu6800.CDF.gz",
               cdf.path=system.file("extdata", package="makecdfenv"),
               compress=TRUE)
      length(ls(env))
      get("U53347_at", env)

[Package makecdfenv version 1.14.0 Index]